For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a team member

URL

GET https://api.complycube.com/v1/teamMembers/:id

This endpoint allows you to retrieve a specific team member.

Headers

Name
Type
Description

Authorization*

string

The API live or test key.

Path parameters

Name
Type
Description

id*

string

The ID of the team member.

Example request

curl -X GET https://api.complycube.com/v1/teamMembers/{:teamMemberId} \
     -H 'Authorization: <YOUR_API_KEY>' 
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const teamMember = await complycube.teamMember.get("TEAM_MEMBER_ID");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

team_member = cc_api.teammembers.get('TEAM_MEMBER_ID')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$client = $ccapi->teamMembers()->get('TEAM_MEMBER_ID');
using ComplyCube.Net;
using ComplyCube.Net.Resources.TeamMembers;

var teamMemberApi = new TeamMemberApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var teamMember = await teamMemberApi.GetAsync("TEAM_MEMBER_ID");

Example responses

{
    "id": "VNARgK33nMASdJKdi",
    "firstName": "John",
    "lastName": "Doe",
    "role": "owner",
    "createdAt": "2020-01-01T10:15:42.087Z"
}
{
    "type": "resource_not_found",
    "message": "Invalid team member id 'MOARgK33nMASdJKdd'"
}